USE COWS
GO
_CreateObject 'SP','dbo','getCPTorRedsgnData'
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
-- =========================================================
-- Author:		jrg7298
-- Create date: 03/30/2019
-- Description:	Get CPT/Redesign data using cptid/cpt#/Redesign devicename/Redesign#/Redesign ID for prodsupport
-- =========================================================
ALTER PROCEDURE [dbo].[getCPTorRedsgnData]
	@Input VARCHAR(100),
	@csglvl tinyint,
	@IsRedsgn BIT = 0
AS
BEGIN

SET NOCOUNT ON;

Begin Try

IF (@IsRedsgn <> 1)
BEGIN
IF ISNUMERIC(@Input)=0
SELECT @Input = convert(varchar,CPT_ID) FROM dbo.CPT WITH (NOLOCK) WHERE CPT_CUST_NBR=@Input

IF (ISNUMERIC(@Input)=0) OR (EXISTS (SELECT 'X' FROM dbo.CPT WITH (NOLOCK) WHERE (CPT_ID=@Input) AND (CSG_LVL_ID >0) AND ((CSG_LVL_ID < @csglvl) OR (@csglvl=0))))
RETURN;

SELECT 'dbo.CPT', * FROM dbo.CPT WITH (NOLOCK) WHERE CPT_ID=@Input
SELECT 'dbo.CPT_DOC', * FROM dbo.CPT_DOC WITH (NOLOCK) WHERE CPT_ID=@Input
SELECT 'dbo.CPT_HIST', * FROM dbo.CPT_HIST WITH (NOLOCK) WHERE CPT_ID=@Input
SELECT 'dbo.CPT_MNGD_AUTH', * FROM dbo.CPT_MNGD_AUTH WITH (NOLOCK) WHERE CPT_ID=@Input
SELECT 'dbo.CPT_MNGD_SRVC', * FROM dbo.CPT_MNGD_SRVC WITH (NOLOCK) WHERE CPT_ID=@Input
SELECT 'dbo.CPT_MVS_PROD', * FROM dbo.CPT_MVS_PROD WITH (NOLOCK) WHERE CPT_ID=@Input
SELECT 'dbo.CPT_ODIE_RSPN', * FROM dbo.CPT_ODIE_RSPN WITH (NOLOCK) WHERE CPT_ID=@Input
SELECT 'dbo.CPT_PRIM_SITE', * FROM dbo.CPT_PRIM_SITE WITH (NOLOCK) WHERE CPT_ID=@Input
SELECT 'dbo.CPT_PRIM_WAN', * FROM dbo.CPT_PRIM_WAN WITH (NOLOCK) WHERE CPT_ID=@Input
SELECT 'dbo.CPT_PRVSN', * FROM dbo.CPT_PRVSN WITH (NOLOCK) WHERE CPT_ID=@Input
SELECT 'dbo.CPT_REC_LOCK', * FROM dbo.CPT_REC_LOCK WITH (NOLOCK) WHERE CPT_ID=@Input
SELECT 'dbo.CPT_REDSGN', * FROM dbo.CPT_REDSGN WITH (NOLOCK) WHERE CPT_ID=@Input
SELECT 'dbo.CPT_RLTD_INFO', * FROM dbo.CPT_RLTD_INFO WITH (NOLOCK) WHERE CPT_ID=@Input
SELECT 'dbo.CPT_SCNDY_TPRT', * FROM dbo.CPT_SCNDY_TPRT WITH (NOLOCK) WHERE CPT_ID=@Input
SELECT 'dbo.CPT_SRVC_TYPE', * FROM dbo.CPT_SRVC_TYPE WITH (NOLOCK) WHERE CPT_ID=@Input
SELECT 'dbo.CPT_SUPRT_TIER', * FROM dbo.CPT_SUPRT_TIER WITH (NOLOCK) WHERE CPT_ID=@Input
SELECT 'dbo.CPT_USER_ASMT', * FROM dbo.CPT_USER_ASMT WITH (NOLOCK) WHERE CPT_ID=@Input
END
ELSE
BEGIN
IF CHARINDEX('.',@Input)>0
SELECT TOP 1 @Input = convert(varchar,REDSGN_ID)
FROM dbo.REDSGN_DEVICES_INFO WITH (NOLOCK)
WHERE DEV_NME=@Input
ORDER BY REDSGN_ID DESC
ELSE IF ISNUMERIC(@Input)=0
SELECT @Input = convert(varchar,REDSGN_ID) FROM dbo.REDSGN WITH (NOLOCK) WHERE REDSGN_NBR=@Input

IF (ISNUMERIC(@Input)=0) OR (EXISTS (SELECT 'X' FROM dbo.REDSGN WITH (NOLOCK) WHERE (REDSGN_ID=@Input) AND (CSG_LVL_ID >0) AND ((CSG_LVL_ID < @csglvl) OR (@csglvl=0))))
RETURN;

SELECT 'dbo.REDSGN', * FROM dbo.REDSGN WITH (NOLOCK) WHERE REDSGN_ID=@Input
SELECT 'dbo.REDSGN_DEV_EVENT_HIST', rdeh.*
FROM dbo.REDSGN_DEV_EVENT_HIST rdeh WITH (NOLOCK) INNER JOIN
dbo.REDSGN_DEVICES_INFO rdi WITH (NOLOCK) ON rdi.REDSGN_DEV_ID=rdeh.REDSGN_DEV_ID
WHERE rdeh.REDSGN_DEV_EVENT_HIST_ID=@Input
SELECT 'dbo.REDSGN_DEVICES_INFO', * FROM dbo.REDSGN_DEVICES_INFO WITH (NOLOCK) WHERE REDSGN_ID=@Input
SELECT 'dbo.REDSGN_DOC', * FROM dbo.REDSGN_DOC WITH (NOLOCK) WHERE REDSGN_ID=@Input
SELECT 'dbo.REDSGN_EMAIL_NTFCTN', * FROM dbo.REDSGN_EMAIL_NTFCTN WITH (NOLOCK) WHERE REDSGN_ID=@Input
SELECT 'dbo.REDSGN_NOTES', * FROM dbo.REDSGN_NOTES WITH (NOLOCK) WHERE REDSGN_ID=@Input
SELECT 'dbo.REDSGN_REC_LOCK', * FROM dbo.REDSGN_REC_LOCK WITH (NOLOCK) WHERE REDSGN_ID=@Input
END

End Try

Begin Catch
	EXEC [dbo].[insertErrorInfo]
End Catch

END